Loading...
Searching...
No Matches
autoip.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/netif.h"`
`#include "lwip/etharp.h"`
`#include "lwip/acd.h"`

## Data Structures

struct | autoip

## Functions

void | autoip_set_struct (struct netif *netif, struct autoip *autoip)
void | autoip_remove_struct (struct netif *netif)
err_t | autoip_start (struct netif *netif)
err_t | autoip_stop (struct netif *netif)
void | autoip_network_changed_link_up (struct netif *netif)
void | autoip_network_changed_link_down (struct netif *netif)
u8_t | autoip_supplied_address (struct netif *netif)

## Detailed Description

AutoIP Automatic LinkLocal IP Configuration

## Function Documentation

## autoip_network_changed_link_down()

void autoip_network_changed_link_down | ( | struct netif * | netif | ) |

Handle a possible change in the network configuration: link down

If there is an AutoIP address configured and AutoIP is in cooperation with DHCP, then stop the autoip module. When the link goes up, we do not want the autoip module to start again. DHCP will initiate autoip when needed.

## autoip_network_changed_link_up()

void autoip_network_changed_link_up | ( | struct netif * | netif | ) |

Handle a possible change in the network configuration: link up

If there is an AutoIP address configured and AutoIP is not in cooperation with DHCP, start probing for previous address.

## autoip_supplied_address()

u8_t autoip_supplied_address | ( | struct netif * | netif | ) |

check if AutoIP supplied netif->ip_addr

Parameters

  netif | the netif to check

Returns
  1 if AutoIP supplied netif->ip_addr (state BOUND), 0 otherwise